import {h, Component} from 'preact'
import {DesktopNav} from './desktop'
import {MobileNav} from './mobile'

export class Nav extends Component {
  constructor (props) {
    super(props)
    this.state = {mobile: props.mobile}
  }

  componentDidMount () {
    window.addEventListener('resize', () => this.onResize())
    this.onResize()
  }

  onResize () {
    this.setState({mobile: window.innerWidth < 1215})
  }

  render (props, {mobile}) {
    return h(mobile ? MobileNav : DesktopNav, props)
  }
}
